Translations
Retrieve master translations JSON
Retrieve all translations for a locale in master JSON format organized by resourceId (workflowId)
GET
PHP
Authorizations
API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".
Headers
A header for idempotency purposes
Query Parameters
Locale to export. If not provided, exports organization default locale
Response
200 - application/json
Master translations JSON retrieved successfully
All translations for given locale organized by workflow identifier
Example:
{
"welcome-email": {
"welcome.title": "Welcome to our platform",
"welcome.message": "Hello there!"
},
"password-reset": {
"reset.title": "Reset your password",
"reset.message": "Click the link to reset"
}
}All translations for given locale organized by layout identifier
Example:
{
"default-layout": {
"layout.title": "Default layout",
"layout.message": "Hello there!"
}
}